function [imgH] = backProjection(imgH, imgL, maxIter)

p = fspecial('gaussian', 5, 1);
p = p.^2;
p = p./sum(p(:));

imgL = double(imgL);
imgH = double(imgH);

for iter = 1:maxIter,
    imgLBar = imresize(imgH, size(imgL), 'bicubic');
    imgDiff = imgL - imgLBar;
    
    imgDiff = imresize(imgDiff, size(imgH), 'bicubic');
    imgH = imgH + conv2(imgDiff, p, 'same');
end
